package com.vetti.hotake.mapper;


import com.vetti.hotake.domain.HotakeSysFile;

import java.util.List;

/**
 * 文件管理Mapper接口
 *
 * @author ID
 * @date 2025-09-06
 */
public interface HotakeSysFileMapper
{
    /**
     * 查询文件管理
     *
     * @param id 文件管理主键
     * @return 文件管理
     */
    public HotakeSysFile selectHotakeSysFileById(Long id);

    /**
     * 查询文件管理列表
     *
     * @param HotakeSysFile 文件管理
     * @return 文件管理集合
     */
    public List<HotakeSysFile> selectHotakeSysFileList(HotakeSysFile HotakeSysFile);

    /**
     * 新增文件管理
     *
     * @param HotakeSysFile 文件管理
     * @return 结果
     */
    public int insertHotakeSysFile(HotakeSysFile HotakeSysFile);

    /**
     * 修改文件管理
     *
     * @param HotakeSysFile 文件管理
     * @return 结果
     */
    public int updateHotakeSysFile(HotakeSysFile HotakeSysFile);

    /**
     * 删除文件管理
     *
     * @param id 文件管理主键
     * @return 结果
     */
    public int deleteHotakeSysFileById(Long id);

    /**
     * 批量删除文件管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHotakeSysFileByIds(Long[] ids);
    /**
     * 批量新增文件管理
     *
     * @param HotakeSysFileList 文件管理列表
     * @return 结果
     */
    public int batchInsertHotakeSysFile(List<HotakeSysFile> HotakeSysFileList);


    public List<HotakeSysFile> selectHotakeSysFileByIds(Long[] ids);

}
